﻿using System;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;
using System.Windows;

namespace SplitButtonDropDownContent
{
    public class MyViewModel : ViewModelBase
    {
        public MyViewModel()
        {
            Actions = new ObservableCollection<DataItem>();
            for (int i = 1; i < 8; i++)
            {
                Actions.Add(new DataItem()
                {
                    Header = String.Format("MenuItem {0}", i),
                    CustomCommand = new DelegateCommand((p) => { MyAction(p); }),
                    ImageSource = String.Format("Images/Icon{0}.png", i)
                });
            }
            this.SelectedAction = Actions[1];
        }
        public ObservableCollection<DataItem> Actions { get; set; }


        private DataItem selectedAction;
        /// <summary>
        ///     Gets or sets the selected action.
        /// </summary>
        public DataItem SelectedAction
        {
            get
            {
                return this.selectedAction;
            }
            set
            {
                if (this.selectedAction != value)
                {
                    this.selectedAction = value;
                    OnPropertyChanged("SelectedAction");
                }
            }
        }

        private bool isOpen;
        public bool IsOpen
        {
            get
            {
                return this.isOpen;
            }
            set
            {
                if (this.isOpen != value)
                {
                    this.isOpen = value;
                    OnPropertyChanged("IsOpen");
                }
            }
        }

        private void MyAction(object param)
        {
            DataItem myActionContext = param as DataItem;
            MessageBox.Show(myActionContext.Header);
            this.IsOpen = false;

        }

    }
}
